///cusom scripts
window.scrollTo(0, 0)

window.onload = function() {

    lax.init()

    lax.addDriver(
        "scrollY",
        function() {
            return document.documentElement.scrollTop;
        }, {
            frameStep: 1
        }
    );

    lax.addElements(".letter-x", {
        scrollY: {
            translateY: [
                [-400, 0, 100],
                [300, 0, 100]
            ],
            scale: [
                [100, "screenHeight"],
                [0.25, 10]
            ],
            opacity: [
                [0, "screenHeight/2", "screenHeight"],
                [1, 1, 0]
            ],
        }
    });

    lax.addElements(".letter-l", {
        scrollY: {
            translateY: [
                [-400, 0],
                [100, 0]
            ],
            translateX: [
                [0, "screenHeight"],
                [0, 400]
            ],
            opacity: [
                [0, "screenHeight/2"],
                [1, 0]
            ]
        }
    });

    lax.addElements(".letter-a", {
        scrollY: {
            translateY: [
                [-400, 0],
                [200, 0]
            ],
            translateX: [
                [0, "screenHeight"],
                [0, -400]
            ],
            opacity: [
                [0, "screenHeight/2"],
                [1, 0]
            ]
        }
    });

    lax.addElements(".scrolldown", {
        scrollY: {
            "letter-spacing": [
                [0, "screenHeight"],
                [0, 150],
                {
                    cssUnit: "px"
                }
            ],
            opacity: [
                ["screenHeight*0.25", "screenHeight*0.75"],
                [1, 0]
            ],
            translateX: [
                [0, "screenHeight"],
                [0, 80]
            ],
        }
    });

    lax.addElements(".oooh", {
        scrollY: {
            translateX: [
                ["elInY", "elOutY"],
                [0, "screenWidth-200"]
            ]
        }
    });

    lax.addElements(".aaah", {
        scrollY: {
            translateX: [
                ["elInY", "elOutY"],
                [0, "-screenWidth-200"]
            ]
        }
    });

    lax.addElements(".wheee", {
        scrollY: {
            translateX: [
                ["elInY", "elOutY"],
                [-400, "screenWidth+100"]
            ],
            skewX: [
                ["elInY", "elOutY"],
                [40, -40]
            ],
        }
    });

    lax.addElements(".bubble", {
        scrollY: {
            translateY: [
                ["screenHeight/4", "screenHeight * 3"],
                ["Math.random()*screenHeight", "Math.random()*screenHeight*3"]
            ],
            opacity: [
                ["screenHeight/4", "screenHeight/2"],
                [0, 1]
            ],
            scale: [
                [0],
                ["(Math.random()*0.8)+0.2"]
            ],
            translateX: [
                [0],
                ["index*(screenWidth/25)-50"]
            ],
            transform: [
                [0, 4000],
                [0, "(Math.random() + 0.8) * 1000"],
                {
                    cssFn: function(val) {
                        return `rotateX(${val % 360}deg)`
                    }
                }
            ],
            rotate: [
                [0, 4000],
                [0, "(Math.random() - 0.5) * 1000"],
            ],
        }
    });

    lax.addElements('#pinkZag', {
        scrollY: {
            translateY: [
                ["elInY", "elOutY"],
                [0, -300]
            ],
        }
    })

    lax.addElements('#tealZag', {
        scrollY: {
            translateY: [
                ["elInY", "elOutY"],
                [0, 200]
            ],
        }
    })

    lax.addElements('#purpleZag', {
        scrollY: {
            translateY: [
                ["elInY", "elOutY"],
                [0, 700]
            ],
        }
    })

    lax.addElements(".downarrows img", {
        scrollY: {
            translateY: [
                [0, 200],
                [0, 200]
            ],
            opacity: [
                [0, "screenHeight"],
                [1, 0]
            ]
        }
    })

    lax.addElements(".bottombutton", {
        scrollY: {
            "background-position": [
                ["elInY", "elOutY"],
                [0, 400],
                {
                    cssFn: function(val) {
                        return `${val}px 0`
                    }
                }
            ],
            scale: [
                ["elInY", "elCenterY"],
                [3, 1],
            ]
        },

    })
}


//////
$(document).ready(function() {
    $('[data-toggle="tooltip"]').tooltip();
});
document.addEventListener("mousemove", parallax);

function parallax(e) {
    this.querySelectorAll(".layer").forEach(layer => {
        const speed = layer.getAttribute("data-speed");

        const x = (window.innerWidth - e.pageX * speed) / 150;
        const y = (window.innerHeight - e.pageY * speed) / 150;

        layer.style.transform = `translateX(${x}px) translateY(${y}px)`
    })
}
var $animation_elements = $('.slide');
var $window = $(window);

function check_if_in_view() {
    var window_height = $window.height();
    var window_top_position = $window.scrollTop();
    var window_bottom_position = (window_top_position + window_height);
    $.each($animation_elements, function() {
        var $element = $(this);
        var element_height = $element.outerHeight();
        var element_top_position = $element.offset().top;
        var element_bottom_position = (element_top_position + element_height);
        if ((element_bottom_position >= window_top_position) &&
            (element_top_position <= window_bottom_position)) $element.addClass('hasSlid');
        else $element.removeClass('hasSlid');
    });
}
$window.on('scroll resize', check_if_in_view);
check_if_in_view();

/////


AOS.init();
$(function() {
    $('[data-toggle="tooltip"]').tooltip()
})

$(document).ready(function() {
    $('#myModal1').dialog({
        autoOpen: true,
        modal: true,
        closeOnEscape: false,
        draggable: false,
        resizable: false,
        open: function(event, ui) {
            $(".ui-dialog-titlebar-close", ui.dialog).hide();
        }
    });

    $('.close-button').click(function() {
        $('#myModal1').dialog('close');
    });
});


$('.click_offmodel').click(function() {
    $('#navModal').model('hide');
});

$(document).ready(function() {
    // Target the button by its ID and bind a click event handler
    $("#openModalButton").click(function() {
        // Open the modal dialog
        $("#myModal11").dialog({
            modal: true, // Set the modal option to true
            width: 400, // Set the desired width of the modal dialog
            buttons: {
                Close: function() {
                    // Close the modal dialog when the "Close" button is clicked
                    $(this).dialog("close");
                }
            }
        });
    });

    $(".close-button").click(function() {
        $("#myModal11").dialog("close");
    });
});


$(document).ready(function() {
    $('.iframe-lang').click(function() {
        $('.iframe-lang').removeClass('iframe-lang-active'); // Remove class from all elements
        $(this).addClass('iframe-lang-active'); // Add class to the clicked element
    });
});

$(document).ready(function() {
    $('.languages').click(function() {
        $('.languages').removeClass('languages-active'); // Remove class from all elements
        $(this).addClass('languages-active'); // Add class to the clicked element
    });
});

$(document).ready(function() {
    $('.nav-link').click(function() {
        $('.nav-link').removeClass('nav-link-active'); // Remove class from all elements
        $(this).addClass('nav-link-active'); // Add class to the clicked element
    });
});


$(document).ready(function() {
    $('.collapse-button').click(function() {
        $('.collapse-content').toggle();
    });
});

$(document).ready(function() {
    $('.rating label').click(function() {
        $(this).prevAll('label').addBack().addClass('filled');
        $(this).nextAll('label').removeClass('filled');
    });
});


$(window).scroll(function() {
    var scrPos = $(this).scrollTop();
    console.log(scrPos)
});


function isMobileOrTablet() {
    return window.innerWidth < 768;
}

function scrollToId(elementId, offset) {
    var target = document.getElementById(elementId);
    if (isMobileOrTablet()) {
        offset -= 60;

    }
    slimScroller.scroll(target.offsetTop - offset);
}